@echo off
chcp 65001>NUL
rem setlocal && cd /D "%~dp0"
REM AYTO TO SCRIPT KOBEI ΑΠΟ ΤΟ ΚΕΝΤΡΟ ΣΕ ΟΛΑ ΤΑ ΒΙΝΤΕΟ ΤΟΥ OBS ΣΤΙΣ ΔΙΑΣΤΑΣΕΙΣ ΠΟΥ ΤΟΥ ΟΡΙΖΕΤΕ
REM ΤΑ SCRIPT ΕΙΝΑΙ ΜΕΡΟΣ ΤΟΥ gamelink.gr-ffmpeg-scripts.zip ΑΠΟ ΤΟ EL.GAMELINK.GR
REM Ακολουθεί το Url για να μάθετε περισσότερα ή να το κατεβάσετε. Καλά video editing!
REM 
REM https://el.gamelink.gr/blog/Pws-Mporeite-Na-Mikrynete-ta-Video-gia-tis-MkDocs-Selides-sas-me-to-ffmpeg/ 
REM 

:FF
REM GUIDE: https://ffmpeg.org/ffmpeg-filters.html#crop
REM help: https://video.stackexchange.com/questions/4563/how-can-i-crop-a-video-with-ffmpeg
echo.
set "outWIDTH=0"
set /p outWIDTH=Γράψε τον Αριθμό των Pixel ΑΠΟ ΑΡΙΣΤΕΡΑ που θες ΝΑ ΞΕΚΙΝΑΕΙ το Κόψιμο, π.χ. 300, αλλιώς Enter για default 0:
echo.
echo.
set "outHEIGHT=0"
set /p outHEIGHT=Γράψε τον Αριθμό των Pixel ΑΠΟ ΠΑΝΩ που θες ΝΑ ΞΕΚΙΝΑΕΙ το Κόψιμο, π.χ. 100, αλλιώς Enter για default 0:
echo.

echo.
set "inWIDTH=100"
set /p inWIDTH=Γράψε τον Αριθμό των Pixel που θες ΝΑ ΕΧΕΙ ΠΛΑΤΟΣ το Κόψιμο, π.χ. 200, αλλιώς Enter για default 100:
echo.

echo.
set "inHEIGHT=50"
set /p inHEIGHT=Γράψε τον Αριθμό των Pixel που θες ΝΑ ΕΧΕΙ ΥΨΟΣ το Κόψιμο, π.χ. 100, αλλιώς Enter για default 50:
echo.


for /F tokens^=* %%i in ('dir /b *.mp4 *.mov *.mkv *.flv *.avi') do (

	echo.
	echo Κόβω από το Κέντρο τις Διαστάσεις που μου έδωσες το "%%i" ..
	echo.
	call ffmpeg -v quiet -stats -loglevel error  -i "%%i" -vf "crop=%inWIDTH%:%inHEIGHT%:%outWIDTH%:%outHEIGHT%" -c:a copy "%%~ni-cropped-%inWIDTH%_%inHEIGHT%.%%~xi"
    call vidChckCode.bat "%%i"
)

goto End

rem endlocal 

:End 
call vid0ends.bat
exit /b 0